[Bioperl-l] please some help

Nathan S. Haigh n.haigh at sheffield.ac.uk
Sun Aug 26 03:35:36 EDT 2007


mcons004 at fiu.edu wrote:
>   Hello,
>      I am new to this software and I am having some trouble starting. The version of Bioperl I am working on is v5.8.6. My OS is Unix (Mac OS X). I am trying to use Bioperl with a file called blastParser to process a file which is the output of a "blastall" operation.
>   
>  The code that gives me error is:
>> perl blastParser.pl junk.out 1 1 1.0
>  and the error message says:
> Can't locate Bio/SearchIO.pm in @INC (@INC contains: /System/Library/Perl/5.8.6/darwin-thread-multi-2level
> 
>  You online info says I probably means that the module Bio::SearchIO.pm is not instaled and I can either install Bundle::Bioperl or install that specific module by hand. Could you give me some tips in this? I am new working with Unix, and Bioperl so I am a little confused. Any information will be helpful for me. Thanks
> _______________________________________________
> Bioperl-l mailing list
> Bioperl-l at lists.open-bio.org
> http://lists.open-bio.org/mailman/listinfo/bioperl-l

 From what you have said, it appears you need some basic info to 
understand what you are trying to achieve.

The Perl programming language requires the Perl interpreter in order to 
execute a Perl script. The Perl interpreter is usually installed as 
standard with Unix/Linux based Operating Systems. The version you 
mention (5.8.6) will not be the version of Bioperl but the version of 
the Perl interpreter you have installed - you can check this by typing 
"perl -v" at a command prompt.

Given your apparent lack of understanding of the Unix OS, it is likely 
that you don't have Bioperl installed. You should have a look at:
http://www.bioperl.org/wiki/Getting_BioPerl#Mac_OS_X_using_fink

Nath


More information about the Bioperl-l mailing list